#include <windows.h>
#include <stdio.h>

typedef BOOL (*InstallHookFunc)();
typedef BOOL (*UninstallHookFunc)();

int main() {
    HMODULE hDll = LoadLibrary(("HookDll.dll"));
    if (!hDll) {
        printf("޷DLL\n");
        return 1;
    }

    InstallHookFunc InstallHook = (InstallHookFunc)GetProcAddress(hDll, "InstallHook");
    UninstallHookFunc UninstallHook = (UninstallHookFunc)GetProcAddress(hDll, "UninstallHook");

    if (!InstallHook || !UninstallHook) {
        printf("ȡʧ\n");
        FreeLibrary(hDll);
        return 1;
    }

    if (!InstallHook()) {
        printf("װʧ\n");
        FreeLibrary(hDll);
        return 1;
    }

    printf("Ѱװ˳...\n");
    getchar();

    UninstallHook();
    FreeLibrary(hDll);
    return 0;
}